Contents

# FindObject Function

Enables an object to be addressed at run-time as a string parameter through the object name.

For example, the following command:

    MyObj.Prop1.Command = 5

corresponds to the command block:

    Dim ObjVar as Object
    Dim ObjProp as Object
    ObjName As String = "MyObj"
    ObjVar = FindObject( ObjName As String )
    PropName As String = "Prop1"
    ObjProp = FindPropertyObject( ObjVar, PropName As String )
    ObjProp.Command = 5

This allows names to be dynamically created at run-time. For example:

"TextEdit1" to "TextEdit5" in a loop to create five control names.

See also: FindPropertyObject

## Syntax:

    FindObject( ObjName As String )

## Parameters:

ObjName: String that specifies the name of the object that you want to address at run-time.

### Error codes:

5 Invalid procedure call

12 Variable not defined

Please support us!